Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.flagstone.transform
Class FSVideoMetaData

    java.lang.Object
      com.flagstone.transform.FSVideoObject
          com.flagstone.transform.FSVideoMetaData

All Implemented Interfaces:
  java.lang.Cloneable

    public final class FSVideoMetaData

extends FSVideoObject

The FSVideoMetaData class is used to store information on how the video stream should be displayed. Although meta-data can be found in all flash Video files there is no documentation published by Adobe that describes the data structure. As a result the information is decoded as a simple block of binary data.

Field Summary

Fields inherited from class com.flagstone.transform.FSVideoObject
`AudioData, length, MetaData, timestamp, type, VideoData`

Method Summary
`void` | `appendDescription(java.lang.StringBuffer buffer, int depth)`
`java.lang.Object` | `clone()` Creates a deep copy of the entire object.
`boolean` | `equals(java.lang.Object anObject)`
`byte[]` | `getData()` Get the encoded meta data that decribes how the video stream should be played.
`void` | `setData(byte[] data)` Sets the encoded meta data that decribes how the video stream should be played.

Methods inherited from class com.flagstone.transform.FSVideoObject
`getTimestamp, getType, name, setTimestamp`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getData

    public byte[] getData()

  Get the encoded meta data that decribes how the video stream should be played.

  Returns:
    an array of bytes containing the encoded meta-data.

### setData

    public void setData(byte[] data)

  Sets the encoded meta data that decribes how the video stream should be played.

  Parameters:
    `data` - an array of bytes containing the encoded meta-data.

### clone

    public java.lang.Object clone()

  Description copied from class: `FSVideoObject`
  Creates a deep copy of the entire object.

  Overrides:
    `clone` in class `FSVideoObject`
  Returns:
    a copy of the object.

### equals

    public boolean equals(java.lang.Object anObject)

  Overrides:
    `equals` in class `FSVideoObject`

### appendDescription

    public void appendDescription(java.lang.StringBuffer buffer,
                                  int depth)

  Overrides:
    `appendDescription` in class `FSVideoObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD